Bug 430455 - Review Request: gruler - GNOME screen ruler
Review Request: gruler - GNOME screen ruler
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-28 01:48 EST by Deji Akingunola
Modified: 2008-09-23 16:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-29 16:34:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Deji Akingunola 2008-01-28 01:48:02 EST
Spec URL: ftp://czar.eas.yorku.ca/pub/gruler/gruler.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/gruler/gruler-0.8-1.fc9.src.rpm
Description: gruler is a small GNOME based utility that allows you to measure objects on 
your desktop. It can be used to take both horizontal and vertical measurement
in 6 different metrics: pixels, centimeters, inches, picas, points, and as a
percentage of the ruler’s length.
Comment 1 Parag AN(पराग) 2008-01-28 02:01:38 EST
Not sure but do this package need to follow ruby packaging guidelines?
http://fedoraproject.org/wiki/Packaging/Ruby
Comment 2 Deji Akingunola 2008-01-28 02:15:48 EST
I don't think so, notice it doesn't even have a buildrequire on ruby.
Comment 3 Parag AN(पराग) 2008-01-28 04:54:06 EST
when I tried to install this I got
error: Failed dependencies:
        /usr/bin/ruby is needed by gruler-0.8-1.fc9.noarch
you need Requires:ruby

When I built this and installed and tried to run this from terminal, I got
Loading libraries...
Connecting to GConf...
Creating windows...
/usr/lib/ruby/site_ruby/1.8/libglade2.rb:105:in `guard_source_from_gc':
undefined method `signal_connect' for nil:NilClass (NoMethodError)
        from /usr/lib/ruby/site_ruby/1.8/libglade2.rb:98:in `guard_sources_from_gc'
        from /usr/lib/ruby/site_ruby/1.8/libglade2.rb:97:in `each'
        from /usr/lib/ruby/site_ruby/1.8/libglade2.rb:97:in `guard_sources_from_gc'
        from ./utils/glade_window.rb:32:in `initialize'
        from ./utils/glade_window.rb:32:in `new'
        from ./utils/glade_window.rb:32:in `initialize'
        from ./preferences_window.rb:26:in `initialize'
        from ./gruler.rb:61:in `new'
        from ./gruler.rb:61
Comment 4 Deji Akingunola 2008-01-28 09:35:21 EST
(In reply to comment #3)
> when I tried to install this I got
> error: Failed dependencies:
>         /usr/bin/ruby is needed by gruler-0.8-1.fc9.noarch
> you need Requires:ruby

My bad, I had thought ruby-gconf2 and ruby-libglade would pull it in. Fixed.

Spec URL: ftp://czar.eas.yorku.ca/pub/gruler/gruler.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/gruler/gruler-0.8-2.fc9.src.rpm

Please note the above files assumes you're on rawhide, the fixed ruby-gnome2 on
F-8 and F-7 have a different (lower) NEVRs
Comment 5 Deji Akingunola 2008-01-28 12:49:38 EST
(In reply to comment #3)

> 
> When I built this and installed and tried to run this from terminal, I got
> Loading libraries...
> Connecting to GConf...
> Creating windows...
> /usr/lib/ruby/site_ruby/1.8/libglade2.rb:105:in `guard_source_from_gc':
> undefined method `signal_connect' for nil:NilClass (NoMethodError)
>         from /usr/lib/ruby/site_ruby/1.8/libglade2.rb:98:in
`guard_sources_from_gc'

My reply in comment #4 is not complete. I wanted to add that the above bug is
fixed in ruby-gnome2 in rawhide and F-7/F-8 updates-testing.  
Comment 6 Parag AN(पराग) 2008-01-29 00:21:35 EST

on rawhide when installed I got following messages
Loading libraries...
Connecting to GConf...
Creating windows...
./utils/addons_ruby.rb: line 51
   libglade-WARNING **:Error loading image: Failed to open file
'./gruler-icon.png': No such file or directory
./utils/addons_ruby.rb: line 51
   libglade-WARNING **:could not convert string to type `GdkPixbuf' for property
`icon'
Reading settings...
Presenting ruler...
Shutting down...
(eval):3:in `hide': destroyed GLib::Object (TypeError)
        from ./gruler.rb:77
        from ./gruler.rb:77:in `each'
        from ./gruler.rb:77


Can you fix following message?
'./gruler-icon.png': No such file or directory
Comment 7 Deji Akingunola 2008-01-29 01:22:43 EST
(In reply to comment #6)

> 
> Can you fix following message?
> './gruler-icon.png': No such file or directory

Spec URL: ftp://czar.eas.yorku.ca/pub/gruler/gruler.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/gruler/gruler-0.8-3.fc9.src.rpm
Comment 8 Parag AN(पराग) 2008-01-29 01:50:32 EST
Thanks for quick update.
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
8efefbb4e5dd7d74c0c011fc09152024  gruler-latest.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Desktop file handled correctly.
+ GUI App.
APPROVED.
Comment 9 Deji Akingunola 2008-01-29 02:14:31 EST
New Package CVS Request
=======================
Package Name: gruler
Short Description: GNOME screen ruler
Owners: deji
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 10 Kevin Fenzi 2008-01-29 12:47:18 EST
cvs done.
Comment 11 Deji Akingunola 2008-01-29 16:34:41 EST
Successfully built for rawhide, F-8 and F-7. Thanks you Parag for doing the review. 
Comment 12 Deji Akingunola 2008-09-23 10:02:55 EDT
Package Rename CVS Request
=======================
Old name: gruler
New name: screenruler
Short Description: GNOME screen ruler
Owners: deji
Branches: F-8 F-9 devel
InitialCC:
Cvsextras Commits: yes
Comment 13 Deji Akingunola 2008-09-23 10:04:12 EDT
Package Rename CVS Request
=======================
Old name: gruler
New name: screenruler
Short Description: GNOME screen ruler
Owners: deji
Branches: F-8 F-9 devel
InitialCC:
Cvsextras Commits: yes
Comment 14 Kevin Fenzi 2008-09-23 16:47:20 EDT
Please follow the end of life procedure for the old package and file a new review request for the new package. If it's just a upstream name change the only changes you should need to make are the name and the Provides: and Obsoletes.

Note You need to log in before you can comment on or make changes to this bug.